package messaging

import (
	"github.com/tech/sendico/pkg/messaging"
	mb "github.com/tech/sendico/pkg/messaging/broker"
	mp "github.com/tech/sendico/pkg/messaging/internal/producer"
	"github.com/tech/sendico/pkg/mlogger"
)

func NewProducer(logger mlogger.Logger, broker mb.Broker) messaging.Producer {
	return mp.NewProducer(logger, broker)
}
